Package org.apache.tomcat.jdbc.pool

## Class MultiLockFairBlockingQueue.ExchangeCountDownLatch<T>

- java.lang.Object
- - java.util.concurrent.CountDownLatch
  - - org.apache.tomcat.jdbc.pool.MultiLockFairBlockingQueue.ExchangeCountDownLatch<T>

Enclosing class:
  MultiLockFairBlockingQueue<E>

    protected class MultiLockFairBlockingQueue.ExchangeCountDownLatch<T>
    extends CountDownLatch

### Field Summary

Fields
`protected T` `item`

### Constructor Summary

Constructors
`ExchangeCountDownLatch​(int i)`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `getItem()`
`void` `setItem​(T item)`

### Methods inherited from class java.util.concurrent.CountDownLatch

`await, await, countDown, getCount, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### item

    protected volatile T item

### Constructor Detail

#### ExchangeCountDownLatch

    public ExchangeCountDownLatch​(int i)

### Method Detail

#### getItem

    public T getItem()

#### setItem

    public void setItem​(T item)